Subject: Re: bug#27264: gnome-shell-3.24.2 consistently dies during initialization

From: Marius Bakke <[email-masked]>
Date: Thu, 08 Jun 2017 19:19:03 +0200

Leo Famulari <[email-masked]> writes:

>> While it's true that users can boot into an older generation of their
>> system in an emergency, and that's a *great* comfort, in general it's
>> not an acceptable fallback because it entails sacrificing security
>> updates.  I'm concerned that our fallback feature has caused people to
>> become quite careless with breaking things on our master branch.
>
> It's true, we could not even think of pushing untested or lightly-tested
> changes if we couldn't roll-back.
>
> But, if we want to 1) receive updates to big software suites like GNOME,
> and we want to 2) avoid breakage on the master branch, we *need* more
> testers.
>
> As somebody who has helped with a few of these branches so far, the lack
> of assistance with testing and bug fixes is a major problem. I rarely
> feel as confident as I'd like before pushing the merge. More than once
> I've merged a major branch with the impression that only myself and 1 or
> 2 other people have actually deployed it on their workstation or in a
> staging environment that precedes production.
>
> There is a large number of contributors adding new packages or working
> on features, but almost nobody helps test big changes or other boring
> and tedious maintenance tasks. So, those things suffer, and we end up
> testing on the master branch. I don't have any potential solutions in
> mind. As we are mostly volunteers with limited time and computing
> resources, we can only do so much.

I think the planned 'channels' facility will help a lot here. Then, we
might be able to say something like "please try to `guix pull --channel
staging` and report any failures" which lowers the barrier considerably.